'DicomImageRotator' is a non-interactive python windows application that accepts command-line arguments. 
It reads the dicom images provided in the source folder and rotates images with an angle provided in the configuration file.
Rotation angle by default is 90 degree. Rotated images are then saved as Secondary Capture (SC) images in the output folder.

usage: DicomImageRotator.exe [-h] -i INPUTDIR -o OUTPUTDIR -l LOGDIR -c CONFIGDIR

Rotate dicom images by an angle configured. Default rotation angle is 90°

options:
  -h, --help            show this help message and exit
  -i INPUTDIR, --inputdir INPUTDIR
                        Folder which contains dicom images
  -o OUTPUTDIR, --outputdir OUTPUTDIR
                        Folder to store result images
  -l LOGDIR, --logdir LOGDIR
                        Folder to store log files
  -c CONFIGDIR, --configdir CONFIGDIR
                        Folder which contains configuration files
						
#Requirements

- Python 
- Pyinstaller 
	- `pip install pyinstaller`
- Pydicom 
	- `pip install pydicom`

##Build using pyinstaller

- Run command `pyinstaller DicomImageRotator.spec`
	
```
.
├── dist              
│   ├── DicomImageRotator 
│   	├── DicomImageRotator.exe
│
├── build
```
Two folders 'build' and 'dist' will be created.  'DicomImageRotator' folder under dist contains all dependencies and our executable.
Executable can be run from the \dist\DicomImageRotator path.
	
We can also run sample using `python DicomImageRotator.py` with required command-line arguments mentioned above.